# Class EffectComposer

EffectComposer

基于three.js的EffectComposer，用于管理后处理pass的渲染流程

- Defined in lib/five/renderer/postprocessing/composer.ts:13

##### Index

### Constructors

constructor

### Properties

clock
gbuffer
normalMaterial
passes
readBuffer
renderTarget1
renderTarget2
renderToScreen
status
writeBuffer

### Methods

addPass
dispose
insertPass
render
setSize
swapBuffers
updateStatus

## Constructors

### constructor

- new EffectComposer(): EffectComposer

  #### Returns EffectComposer

  - Defined in lib/five/renderer/postprocessing/composer.ts:39

## Properties

### clock

clock: Clock

- Defined in lib/five/renderer/postprocessing/composer.ts:25

### gbuffer

gbuffer: Map<"color" | "depth" | "normal", Texture>

- Defined in lib/five/renderer/postprocessing/composer.ts:37

### normalMaterial

normalMaterial: MeshNormalMaterial

- Defined in lib/five/renderer/postprocessing/composer.ts:23

### passes

passes: Pass[]

- Defined in lib/five/renderer/postprocessing/composer.ts:21

### readBuffer

readBuffer: WebGLRenderTarget

- Defined in lib/five/renderer/postprocessing/composer.ts:19

### renderTarget1

renderTarget1: WebGLRenderTarget

- Defined in lib/five/renderer/postprocessing/composer.ts:15

### renderTarget2

renderTarget2: WebGLRenderTarget

- Defined in lib/five/renderer/postprocessing/composer.ts:16

### renderToScreen

renderToScreen: boolean

- Defined in lib/five/renderer/postprocessing/composer.ts:26

### status

status: {
endabledPassNumber: number;
needsColorGBuffer: boolean;
needsDepthGBuffer: boolean;
needsNormalGBuffer: boolean;
version: string;
}

- Defined in lib/five/renderer/postprocessing/composer.ts:28

### writeBuffer

writeBuffer: WebGLRenderTarget

- Defined in lib/five/renderer/postprocessing/composer.ts:18

## Methods

### addPass

- addPass(pass: Pass): void

  #### Parameters

  - pass: Pass

  #### Returns void

  - Defined in lib/five/renderer/postprocessing/composer.ts:95

### dispose

- dispose(): void

  #### Returns void

  - Defined in lib/five/renderer/postprocessing/composer.ts:176

### insertPass

- insertPass(pass: Pass, index: number): void

  #### Parameters

  - pass: Pass
  - index: number

  #### Returns void

  - Defined in lib/five/renderer/postprocessing/composer.ts:99

### render

- render(renderer: WebGLRenderer): boolean

  #### Parameters

  - renderer: WebGLRenderer

  #### Returns boolean

  - Defined in lib/five/renderer/postprocessing/composer.ts:103

### setSize

- setSize(width: number, height: number): void

  #### Parameters

  - width: number
  - height: number

  #### Returns void

  - Defined in lib/five/renderer/postprocessing/composer.ts:142

### swapBuffers

- swapBuffers(): void

  #### Returns void

  - Defined in lib/five/renderer/postprocessing/composer.ts:89

### updateStatus

- updateStatus(): void

  #### Returns void

  - Defined in lib/five/renderer/postprocessing/composer.ts:150